# CEGUI::MultiColumnList::ListRow Struct Reference

Struct used internally to represent a row in the list and also to ease sorting of the rows. More...

List of all members.

## Public Types

typedef std::vector< ListboxItem * > | RowItems

## Public Member Functions

ListboxItem *const & | operator[] (uint idx) const
ListboxItem *& | operator[] (uint idx)
bool | operator< (const ListRow &rhs) const
bool | operator> (const ListRow &rhs) const

## Public Attributes

RowItems | d_items
uint | d_sortColumn
uint | d_rowID

## Detailed Description

Struct used internally to represent a row in the list and also to ease sorting of the rows.